Bug 911578 - Touchpad Left button not worked at all (Lenovo laptops)
Touchpad Left button not worked at all (Lenovo laptops)
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Kernel
13.2
64bit openSUSE 13.2
: P3 - Medium : Major (vote)
: ---
Assigned To: E-mail List
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-03 13:55 UTC by Kamil Khamitov
Modified: 2015-04-22 11:36 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kamil Khamitov 2015-01-03 13:55:56 UTC
Hello, 
Synaptics Touchpad Left button doesnt work on lenovo z5070, b5070, b4070 and maybe in other *70 lenovo laptops

Looks like a 3.16 kernel bug.

this bug in Ubuntu
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1381815
this bug in debian
https://lists.debian.org/debian-kernel/2014/11/msg00021.html

With 3.17(in Fedora Live) left button works  fine

attachment for my z5070

xinput list
http://pastebin.com/JqMyPMMk

cat /proc/bus/input/devices 
http://pastebin.com/SJRqqFe7

cat /etc/X11/xorg.conf.d/50-synaptics.conf 
http://pastebin.com/GTFB1wGj
Comment 1 Takashi Iwai 2015-01-03 20:53:15 UTC
I backported the upstream fix patch to openSUSE 13.2 kernel now.  You can get the fixed kernel in OBS Kernel:openSUSE-13.2 repo.

Feel free to reopen if the problem still remains even with the backport (see the rpm changelog whether the kernel contains the fix).
Comment 2 Swamp Workflow Management 2015-04-13 12:12:28 UTC
openSUSE-SU-2015:0713-1: An update that solves 13 vulnerabilities and has 52 fixes is now available.

Category: security (important)
Bug References: 867199,893428,895797,900811,901925,903589,903640,904899,905681,907039,907818,907988,908582,908588,908589,908592,908593,908594,908596,908598,908603,908604,908605,908606,908608,908610,908612,909077,909078,909477,909634,910150,910322,910440,911311,911325,911326,911356,911438,911578,911835,912061,912202,912429,912705,913059,913466,913695,914175,915425,915454,915456,915577,915858,916608,917830,917839,918954,918970,919463,920581,920604,921313,922542,922944
CVE References: CVE-2014-8134,CVE-2014-8160,CVE-2014-8559,CVE-2014-9419,CVE-2014-9420,CVE-2014-9428,CVE-2014-9529,CVE-2014-9584,CVE-2014-9585,CVE-2015-0777,CVE-2015-1421,CVE-2015-1593,CVE-2015-2150
Sources used:
openSUSE 13.2 (src):    bbswitch-0.8-3.6.6, cloop-2.639-14.6.6, crash-7.0.8-6.6, hdjmod-1.28-18.7.6, ipset-6.23-6.6, kernel-docs-3.16.7-13.2, kernel-obs-build-3.16.7-13.7, kernel-obs-qa-3.16.7-13.1, kernel-obs-qa-xen-3.16.7-13.1, kernel-source-3.16.7-13.1, kernel-syms-3.16.7-13.1, pcfclock-0.44-260.6.2, vhba-kmp-20140629-2.6.2, virtualbox-4.3.20-10.2, xen-4.4.1_08-12.2, xtables-addons-2.6-6.2